Validates and calculates pricing for a terminal basket. Returns the basket with calculated prices, taxes, and discounts.
Requires process_orders or process_test_orders permission
POST
/terminal/basket/validate
curl \
--request POST 'https://api.au.enjovia.app/terminal/basket/validate' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "Store-Subdomain: string" \
--data '{"store_eni":"STORE-2024-001","customer_id":"customer-123456","data":{"products":[{"id":"987e6543-e21b-12d3-a456-426614174000","eni":"PROD-2024-001","image_url":"https://example.com/product.jpg","message":"Happy Birthday!","recipient_name":"John Doe","from_name":"Jane Smith","monetary_value":5000,"shipping":{"type":"email","email":"john.doe@example.com","email_recipient_name":"John Doe"}},{"id":"abc12345-e89b-12d3-a456-426614174001","eni":"PROD-2024-002","image_url":"https://example.com/product2.jpg","variant_id":"def45678-e89b-12d3-a456-426614174002","addons":[{"id":"789abcde-e89b-12d3-a456-426614174003","eni":"ADDON-001"}],"shipping":{"type":"post","packaging_option_id":"123e4567-e89b-12d3-a456-426614174004","delivery_method_id":"456e7890-e89b-12d3-a456-426614174005","delivery_address":{"name":"John Doe","address_line_1":"123 Main St","city":"New York","state":"NY","postal_code":"10001","country":"US"}}}],"marketing_consent":true,"promotion":{"id":"bcd23456-e89b-12d3-a456-426614174006","eni":"PROMO-001","code":"SUMMER20"}}}'
Request example
{
"store_eni": "STORE-2024-001",
"customer_id": "customer-123456",
"data": {
"products": [
{
"id": "987e6543-e21b-12d3-a456-426614174000",
"eni": "PROD-2024-001",
"image_url": "https://example.com/product.jpg",
"message": "Happy Birthday!",
"recipient_name": "John Doe",
"from_name": "Jane Smith",
"monetary_value": 5000,
"shipping": {
"type": "email",
"email": "john.doe@example.com",
"email_recipient_name": "John Doe"
}
},
{
"id": "abc12345-e89b-12d3-a456-426614174001",
"eni": "PROD-2024-002",
"image_url": "https://example.com/product2.jpg",
"variant_id": "def45678-e89b-12d3-a456-426614174002",
"addons": [
{
"id": "789abcde-e89b-12d3-a456-426614174003",
"eni": "ADDON-001"
}
],
"shipping": {
"type": "post",
"packaging_option_id": "123e4567-e89b-12d3-a456-426614174004",
"delivery_method_id": "456e7890-e89b-12d3-a456-426614174005",
"delivery_address": {
"name": "John Doe",
"address_line_1": "123 Main St",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "US"
}
}
}
],
"marketing_consent": true,
"promotion": {
"id": "bcd23456-e89b-12d3-a456-426614174006",
"eni": "PROMO-001",
"code": "SUMMER20"
}
}
}
Response examples (200)
{
"basket": {
"id": "string",
"customer_id": "string",
"data": {}
}
}